UNIT mTKnopf;

interface

uses       mSuM;
// Uses-Klausel ggf. anpassen

type
   TKnopf = CLASS

     // Attribute
     protected
         hatStift : BuntStift;
         kenntMaus : Maus;
         zMausUnten : Wahrheitswert;
         zGroesse : Zahl;
         zXPos : Zahl;
         zYPos : Zahl;
         zAufschrift : Zeichenkette;

     // Methoden
     protected
        procedure zeichne; virtual; abstract;
     public
        constructor init(pX,pY,pGroesse:Zahl;pAufschrift:Zeichenkette;pMaus:Maus);
        function innerhalb : Wahrheitswert; virtual; abstract;
        destructor gibFrei;

   end;

implementation

//+---------------------------------------------------------------------
//|         TKnopf: Methodendefinition 
//+---------------------------------------------------------------------

//-------- init (public) -----------------------------------------------
constructor TKnopf.init(pX,pY,pGroesse:Zahl;pAufschrift:Zeichenkette;pMaus:Maus);
begin
  zMausUnten := falsch;
  zXpos := pX;
  zYPos := py;
  zGroesse := pGroesse;
  zAufschrift := pAufschrift;
  kenntMaus := pMaus;
  hatStift := BuntStift.init;
  hatStift.wechsle;
  zeichne
end;

//-------- gibFrei (public) --------------------------------------------
destructor TKnopf.gibFrei;
begin
  zeichne
end;

end.
