UNIT mTEreignisAnwendung;

interface

uses    mSum,mTAnwendung;
// Uses-Klausel ggf. anpassen

type
   TEreignisAnwendung = CLASS(TAnwendung)

     // Attribute
     protected
         zBeenden : Wahrheitswert;
         zMausUnten : Wahrheitswert;

     // Methoden
     public
        constructor init; override;
        procedure bearbeiteLeerlauf; virtual; abstract;
        procedure bearbeiteMausClick(pMaus:Maus); virtual; abstract;
        procedure bearbeiteMausDoppelklick(pMaus:Maus); virtual; abstract;
        procedure bearbeiteTastaturDruck(pZeichen:Zeichen); virtual; abstract;
        procedure beenden;
        procedure run; override;
        destructor gibfrei; override;

   end;

implementation

//+---------------------------------------------------------------------
//|         TEreignisAnwendung: Methodendefinition 
//+---------------------------------------------------------------------

//-------- init (public) -----------------------------------------------
constructor TEreignisAnwendung.init;
begin
  inherited init;
  zBeenden           := falsch;
  zMausunten         := falsch;
end;

  // Aktionsteil

//-------- beenden (public) --------------------------------------------
procedure TEreignisAnwendung.beenden;
begin
   zBeenden := True
end;

//-------- run (public) ------------------------------------------------
procedure TEreignisAnwendung.run;
begin
  repeat
     if dieMaus.istGedrueckt
       then begin
              if not zMausUnten
                then begin
                       zMausUnten := True;
                       bearbeiteMausClick(dieMaus)
                     end
                else begin
                       bearbeiteLeerlauf
                       //bearbeiteMausUnten(dieMaus)
                     end
            end
       else begin //Maus ist nicht gedrckt
              zMausUnten := False;
              if dieMaus.doppelklick
                then begin
                       bearbeiteMausDoppelklick(dieMaus)
                     end
                else begin
                       if dieTastatur.wurdeGedrueckt
                         then begin
                                bearbeiteTastaturDruck(dieTastatur.zeichen)
                              end
                         else begin
                                bearbeiteLeerlauf
                              end
                     end
            end
  until zBeenden
end;

  // Aufrumen

//-------- gibfrei (public) --------------------------------------------
destructor TEreignisAnwendung.gibfrei;
begin
end;  

end.
