UNIT mAnwendung;

interface

uses  mSuM;
// Uses-Klausel ggf. anpassen

type
   Anwendung = CLASS

     // Attribute
     public
        hatBildschirm : Bildschirm;
        hatMaus : Maus;
        hatTastatur : Tastatur;

     // Methoden
     public
        constructor init; virtual;
        procedure fuehreAus; virtual; abstract;
        function gibBildschirm : bildschirm;
        function gibMaus : maus;
        function gibTastatur : tastatur;
        destructor gibFrei; virtual;

   end;

implementation

//+---------------------------------------------------------------------
//|         Anwendung: Methodendefinition
//+---------------------------------------------------------------------

//-------- init (public) -----------------------------------------------
constructor Anwendung.init;
begin
  hatBildschirm:=Bildschirm.init;
  hatMaus:=Maus.init;
  hatTastatur:=Tastatur.init;
end;

//-------- gibBildschirm (public) --------------------------------------
function Anwendung.gibBildschirm : bildschirm;
begin
  result:=hatBildschirm;
end;

//-------- gibMaus (public) --------------------------------------------
function Anwendung.gibMaus : maus;
begin
  result:=hatMaus;
end;

//-------- gibTastatur (public) ----------------------------------------
function Anwendung.gibTastatur : tastatur;
begin
  result:=hatTastatur;
end;

//-------- gibFrei (public) --------------------------------------------
destructor Anwendung.gibFrei;
begin
  hatTastatur.gibFrei;
  hatMaus.gibFrei;
  hatBildschirm.gibFrei;
end;

{Ereignisanwendung ************************************************************}

end.
