UNIT mTKnopf;

interface

uses               dialogs,mSuM;
// Uses-Klausel ggf. anpassen

type
   TKnopf = CLASS

     // Attribute
     private
        naechsterKnopf : TKnopf;
     protected
         hatStift : BuntStift;
         kenntMaus : Maus;
         zGroesse : Zahl;
         zXPos : Zahl;
         zYPos : Zahl;
         zAufschrift : Zeichenkette;
     public
        meineTastaturdruckAktion : procedure ( pZeichen : Zeichen) of Object;
        meineLeerlaufAktion : procedure of Object;
        meineClickAktion : procedure of Object;
        meineDoppelklickAktion : procedure of Object;

     //Objektbeziehungen:
        // kenntTKnopf (0..1) of TKnopf;
        // kenntTKnopf () of TKnopf;

     // Methoden
     protected
        procedure zeichne; virtual;
     public
        constructor init(pX,pY,pGroesse:Zahl;pAufschrift:Zeichenkette;pMaus:Maus);
        procedure bearbeiteMeinenLeerlauf; virtual;
        procedure bearbeiteMeinenMausClick; virtual;
        procedure bearbeiteMeinenMausDoppelklick; virtual;
        procedure bearbeiteMeinenTastaturDruck(pZeichen:Zeichen); virtual;
        procedure haengeKnopfAn(pKnopf:TKnopf);
        procedure leereProzedur;
        procedure leereTastaturProzedur(pZeichen:zeichen);
        function innerhalb : Wahrheitswert; virtual;
        destructor gibFrei;

   end;

implementation

//+---------------------------------------------------------------------
//|         TKnopf: Methodendefinition 
//+---------------------------------------------------------------------

//-------- zeichne (protected) -----------------------------------------
procedure TKnopf.zeichne;
begin
  //Hier Code einfgen.
end;

//-------- init (public) -----------------------------------------------
constructor TKnopf.init(pX,pY,pGroesse:Zahl;pAufschrift:Zeichenkette;pMaus:Maus);
begin
  naechsterKnopf := nil; 
  zXpos := pX;
  zYPos := py;
  zGroesse := pGroesse;
  zAufschrift := pAufschrift;
  kenntMaus := pMaus;
  meineClickAktion := leereProzedur;
  meineDoppelklickaktion := leereProzedur;
  meineLeerlaufAktion := leereProzedur;
  meineTastaturDruckAktion := leereTastaturProzedur ;
  hatStift := BuntStift.init;
  hatStift.wechsle;
  zeichne
end;

//-------- bearbeiteMeinenLeerlauf (public) ----------------------------
procedure TKnopf.bearbeiteMeinenLeerlauf;
begin
   meineLeerlaufAktion;
   if naechsterKnopf <> nil
      then naechsterKnopf.bearbeiteMeinenLeerlauf
end;

//-------- bearbeiteMeinenMausClick (public) ---------------------------
procedure TKnopf.bearbeiteMeinenMausClick;
begin
   if self.innerhalb
      then meineClickAktion ;
   if naechsterKnopf <> nil
      then naechsterKnopf.bearbeiteMeinenMausClick
end;

//-------- bearbeiteMeinenMausDoppelklick (public) ---------------------
procedure TKnopf.bearbeiteMeinenMausDoppelklick;
begin
   if self.innerhalb
      then meineDoppelklickAktion ;
   if naechsterKnopf <> nil
      then naechsterKnopf.bearbeiteMeinenMausDoppelklick
end;

//-------- bearbeiteMeinenTastaturDruck (public) -----------------------
procedure TKnopf.bearbeiteMeinenTastaturDruck(pZeichen:Zeichen);
begin
   meineTastaturDruckAktion(pZeichen) ;
   if naechsterKnopf <> nil
      then naechsterKnopf.bearbeiteMeinenTastaturDruck(pZeichen)
end;

//-------- haengeKnopfAn (public) --------------------------------------
procedure TKnopf.haengeKnopfAn(pKnopf:TKnopf);
begin
  //--------------  Aufgabe  -------------
end;

//-------- leereProzedur (public) --------------------------------------
procedure TKnopf.leereProzedur;
begin
  //showmessage('dummy')
end;

//-------- leereTastaturProzedur (public) ------------------------------
procedure TKnopf.leereTastaturProzedur(pZeichen:zeichen);
begin
  showmessage('TastaturDummy')
end;

//-------- innerhalb (public) ------------------------------------------
function TKnopf.innerhalb : Wahrheitswert;
begin
  result := false
end;

//-------- gibFrei (public) --------------------------------------------
destructor TKnopf.gibFrei;
begin
  zeichne
end;

end.
