UNIT mTRechteckKnopf;

interface

uses      mSuM, mTKnopf;
// Uses-Klausel ggf. anpassen

type
   TRechteckKnopf = CLASS(TKnopf)

     // Attribute

     // Methoden
     public
        procedure zeichne; override;
        function innerhalb : Wahrheitswert; override;

   end;

implementation

//+---------------------------------------------------------------------
//|         TRechteckKnopf: Methodendefinition 
//+---------------------------------------------------------------------

//-------- zeichne (public) --------------------------------------------
procedure TRechteckKnopf.zeichne;
begin
  hatStift.bewegeBis(zXPos,zYPos);
  hatStift.zeichneRechteck(zGroesse,15);
  hatStift.bewegeBis(zXPos+(zGroesse-hatStift.Textbreite(zAufschrift))/2,zYPos+1);
  hatStift.schreibeText(zAufschrift);
end;

//-------- innerhalb (public) ------------------------------------------
function TRechteckKnopf.innerhalb : Wahrheitswert;
begin
  result :=
       (kenntMaus.hPosition > zXpos ) and
       (kenntMaus.hPosition < zXPos + zGroesse) and
       (kenntMaus.vPosition > zYPos) and
       (kenntMaus.vPosition < zYPos+12) 
end;

end.
